> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get market sector data

> Use this endpoint to retrieve a market sector metadata and the list of all projects belonging to market sector.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/market-sectors/{market_sector_id}
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/market-sectors/{market_sector_id}:
    get:
      tags:
        - Market sectors
      summary: Get market sector data
      description: >
        Use this endpoint to retrieve a market sector metadata and the list of
        all projects belonging to market sector.
      parameters:
        - name: market_sector_id
          in: path
          description: The market sector ID.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    description: The object containing the data for a successful response.
                    properties:
                      market_sector_id:
                        type: string
                        description: Market sector's ID
                      name:
                        type: string
                        description: Name of the market sector
                      description:
                        type: object
                        properties:
                          what:
                            type: string
                            description: Description of the market sector
                          how:
                            type: string
                            description: Description on how does the market sector work
                      projects:
                        type: array
                        description: List of projects belonging to market sector
                        items:
                          type: object
                          properties:
                            project_id:
                              type: string
                              description: ID of the project
                            name:
                              type: string
                              description: Name of the project
                            url:
                              type: string
                              description: >-
                                Returns a link to the endpoint for querying
                                project specific data.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````